/**
 * Creates a URL from various form elements
 */
function createurl() {
  var node = document.getElementById('edit-event_filter_link');
  var filterurl = document.getElementById('edit-eventfilter_filterurl');
  
  // Recursively add all the terms
  var terms = document.getElementById('edit-event_filter_terms');
  var txtterms = '';
  var i;
  for (i=0; i<terms.options.length; i++) {
    if (terms.options[i].selected) {
      if (txtterms != '') { txtterms = txtterms + '+'; }
      txtterms = txtterms + terms.options[i].value;
    }
  }
  
  // Fetch the dates and replace spaces with underscores
  var txtstart = '';
  var start = document.getElementById('edit-event_filter_start');
  if (start.value != '') { txtstart = 'start=' + start.value + '&'; }
  txtstart = txtstart.replace(' ','_');

  var txtfinish = '';
  var finish = document.getElementById('edit-event_filter_finish');
  if (finish.value != '') { txtfinish = 'finish=' + finish.value + '&'; }
  txtfinish = txtfinish.replace(' ','_');
  
  // Add a desc sort attribute if selected (asc is default, so we can leave it blank)
  var txtsort = '';
  if (document.getElementById('edit-eventfilter_desc').checked==true) {
    txtsort = 'sort=desc';
  }

  // Output the answer
  node.value = filterurl.value + txtterms + '?' + txtstart + txtfinish + txtsort;
}

/**
 * Loads the URL in a new window
 */
function testurl() {
  createurl();
  var node = document.getElementById('edit-event_filter_link');
  openwin = this.open(node.value);
}